/*
 * Copyright (c) 2011 Samsung Electronics Co., Ltd All Rights Reserved
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 */

#include "main.h"

/*********************************************************
 check
 ********************************************************/

static void _go_check_clicked_cb(void *data, Evas_Object *obj, void *event_info)
{
	int param = (int)(long)(data);
	Eina_Bool state = elm_check_state_get(obj);

	printf("Check %d:%d\n", param, state);
}

void check_cb(void *data, Evas_Object * obj, void *event_info)
{
	Evas_Object *box;
	Evas_Object *scroller;
	Evas_Object *check;
	struct appdata *ad = (struct appdata *)data;
	if (ad == NULL) return;

	scroller = elm_scroller_add(ad->nf);
	elm_scroller_bounce_set(scroller, EINA_FALSE, EINA_TRUE);
	elm_scroller_policy_set(scroller, ELM_SCROLLER_POLICY_OFF, ELM_SCROLLER_POLICY_AUTO);
	evas_object_show(scroller);

	box = elm_box_add(scroller);
	evas_object_size_hint_weight_set(box, EVAS_HINT_EXPAND, EVAS_HINT_EXPAND);
	evas_object_size_hint_align_set(box, EVAS_HINT_FILL, EVAS_HINT_FILL);
	elm_object_content_set(scroller, box);
	evas_object_show(box);

	check = elm_check_add(box);
	elm_check_state_set(check, EINA_TRUE);
	evas_object_smart_callback_add(check, "changed", _go_check_clicked_cb, (void *)1);
	evas_object_show(check);
	elm_box_pack_end(box, check);

	check = elm_check_add(box);
	elm_check_state_set(check, EINA_TRUE);
	evas_object_smart_callback_add(check, "changed", _go_check_clicked_cb, (void *)1);
	evas_object_show(check);
	elm_box_pack_end(box, check);

	check = elm_check_add(box);
	elm_check_state_set(check, EINA_FALSE);
	evas_object_smart_callback_add(check, "changed", _go_check_clicked_cb, (void *)2);
	evas_object_show(check);
	elm_box_pack_end(box, check);

	check = elm_check_add(box);
	elm_object_disabled_set(check, EINA_TRUE);
	evas_object_smart_callback_add(check, "changed", _go_check_clicked_cb, (void *)3);
	evas_object_show(check);
	elm_box_pack_end(box, check);

	check = elm_check_add(box);
	elm_check_state_set(check, EINA_TRUE);
	elm_object_disabled_set(check, EINA_TRUE);
	evas_object_smart_callback_add(check, "changed", _go_check_clicked_cb, (void *)4);
	evas_object_show(check);
	elm_box_pack_end(box, check);

	check = elm_check_add(box);
	elm_object_style_set(check, "on&off/list");
	elm_check_state_set(check, EINA_TRUE);
	evas_object_show(check);
	elm_box_pack_end(box, check);

	check = elm_check_add(box);
	elm_object_style_set(check, "on&off/list");
	evas_object_show(check);
	elm_box_pack_end(box, check);

	check = elm_check_add(box);
	elm_object_style_set(check, "on&off/list");
	elm_object_disabled_set(check, EINA_TRUE);
	evas_object_show(check);
	elm_box_pack_end(box, check);

	check = elm_check_add(box);
	elm_object_style_set(check, "on&off/list");
	elm_check_state_set(check, EINA_TRUE);
	elm_object_disabled_set(check, EINA_TRUE);
	evas_object_show(check);
	elm_box_pack_end(box, check);

	check = elm_check_add(box);
	elm_object_style_set(check, "on&off");
	elm_check_state_set(check, EINA_TRUE);
	evas_object_show(check);
	elm_box_pack_end(box, check);

	check = elm_check_add(box);
	elm_object_style_set(check, "on&off");
	evas_object_show(check);
	elm_box_pack_end(box, check);

	check = elm_check_add(box);
	elm_object_style_set(check, "on&off");
	elm_object_disabled_set(check, EINA_TRUE);
	evas_object_show(check);
	elm_box_pack_end(box, check);

	check = elm_check_add(box);
	elm_object_style_set(check, "on&off");
	elm_check_state_set(check, EINA_TRUE);
	elm_object_disabled_set(check, EINA_TRUE);
	evas_object_show(check);
	elm_box_pack_end(box, check);

	elm_naviframe_item_push(ad->nf, _("Check"), NULL, NULL, scroller, NULL);
}
